1
$\begingroup$
     Operating System: Windows 10 Pro 64-bit (10.0, Build 18362) (18362.19h1_release.190318-1202)
             Language: English (Regional Setting: English)
  System Manufacturer: Dell Inc.
         System Model: OptiPlex 390
                 BIOS: Default System BIOS (type: BIOS)
            Processor: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz (4 CPUs), ~3.1GHz
               Memory: 8192MB RAM
  Available OS Memory: 8090MB RAM
            Page File: 5779MB used, 4229MB available
          Windows Dir: C:\Windows
      DirectX Version: DirectX 12
  DX Setup Parameters: Not found

I'm using blender V2.79, running windows 10, please view the specs for more details. I'm about to buy this card from a friend HD7670 4GB DDR5 128 Bit. I want to know if it's compatible with my Blender version on workstation?

$\endgroup$

1 Answer 1

1
$\begingroup$

The AMD Radeon HD 7670 is from the Radeon HD 7000 series and has the TeraScale 2 architecture.


Blender 2.79:

The minimum requirements for AMD GPUs, in order to run Blender, are:

Blender 2.79 runs on all systems that support OpenGL 2.1 and above, with recent graphics drivers. For macOS, version 10.9 and later are supported.

The minimum requirements for GPU rendering with OpenCL are:

OpenCL

OpenCL is supported for GPU rendering with AMD graphics cards. (We only support graphics cards with GCN architecture 2.0 and above). To make sure your GPU is supported checkout this Wikipedia page.

Conclusion for Blender 2.79:

It would be possible to run Blender 2.79 with the AMD Radeon HD 7670 graphics card, however you already have an integrated GPU in the Intel i5-2400 that satisfies this requirement as well. The AMD Radeon HD 7670 does not meet the requirements for GPU rendering.


Blender 2.8x:

The minimum requirements for AMD GPUs, in order to run Blender, are:

AMD: GCN 1st gen and newer

The minimum requirements for GPU rendering with OpenCL are:

AMD

OpenCL is supported for GPU rendering with AMD graphics cards. Blender supports graphics cards with GCN generation 2 and above. To make sure your GPU is supported, see the list of GCN generations with the GCN generation and supported graphics cards.

AMD OpenCL GPU rendering is supported on Windows and Linux, but not on macOS.

Conclusion for Blender 2.8x:

The AMD Radeon HD 7670 graphics card is not supported for Blender 2.8x.


I wouldn't recommend buying the AMD Radeon HD 7670.

$\endgroup$

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .